body {
    background-color: #fff;
    font-family: 'Source Sans Pro', sans-serif;
    color: #727272;
}

h1 {
    font-size: 30px;
}

h2 {
    font-size: 24px;
}


.navbar-nav > li > a {
    text-align: center;
    display: inline-block;
    vertical-align: middle;
}

.counters { 
    background-color: #e0e0e0; 
    border:  solid; 
    border-width: thin; 
    border-color: black; 
    color: black; 
    padding: 10px; 
    text-align: left; 
    display: inline-block; 
    font-size: 20px; 
    margin: 4px 2px; 
    border-radius: 12px 
}

.counters strong {
    padding-right: 20px
}

.table-style strong {
    margin-right: 14px
}

.table {
    table-layout: fixed;
    word-wrap: break-word;
}

.editable-error-block {
    padding-left: 20px
}

.navbar-brand {
    padding: 0 40px;
}

.footer {
    padding: 0 20px;
    background-color: #f7f7f7; 
}

.navbar-custom {
    padding-bottom: 10px;
    background-color: #f7f7f7; 
}

.login-margin {
    margin-top: 140px;
}

.file-drop-area {
    position: relative;
    display: flex;
    align-items: center;
    width: 600px;
    max-width: 100%;
    padding: 25px;
    border: 1px dashed rgba(25, 25, 25, 0.7);
    border-radius: 3px;
    transition: 0.2s;
}

.choose-file-button {
    flex-shrink: 0;
    background-color: rgba(255, 255, 255, 0.04);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 3px;
    padding: 8px 15px;
    margin-right: 10px;
    font-size: 12px;
    text-transform: uppercase
}

.custom-file-upload {
    border: 1px solid #ddd;
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;color:black;
    border-radius: 3px;
}

.file-message {
    font-size: small;
    font-weight: 300;
    line-height: 1.4;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis
}

.file-input {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    cursor: pointer;
    opacity: 0
}

.redClass {
    background-color: red;
}

::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
}

::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0,0,0,.5);
    -webkit-box-shadow: 0 0 1px rgba(255,255,255,.5);
    box-shadow: 0 0 1px rgba(255,255,255,.5);
}

.tab-row-height {
    overflow: scroll;
    height: 200px;
    cursor:pointer;  
}

#header-logo-image {
    background-image: url(/img/bewee-logo.jpg);
    background-size: 105px 36px;
    width: 105px;
    height: 36px;
}

#login-cliksoda-image {
    background-image: url(/img/cliksoda-logo@2x.png);
    background-size: 300px 75px;
    width: 300px;
    height: 75px;
}

.toggle-password {
    margin-top: 10px;
    margin-left: -30px; 
    cursor: pointer;
}

.card-rounded {
    border-radius: .5em
}

@media only screen and (min--moz-device-pixel-ratio: 2),
    only screen and (-o-min-device-pixel-ratio: 2/1),
    only screen and (-webkit-min-device-pixel-ratio: 2),
    only screen and (min-device-pixel-ratio: 2) {

    #header-logo-image {
        background-image: url(/img/bewee-logo@2x.jpg);
    }

    #login-cliksoda-image {
        background-image: url(/img/cliksoda-logo.png);
    }
}

/* Stile personalizzato per i tooltip di Bootstrap */
.tooltip-inner {
    text-align: left; /* Allinea il testo a sinistra */
}